coupang
PUT/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/partial2609170000

Product Modification (Approval not required)

# 01

Summary

Product Modification (Approval not required)

# 02

Details

Available buyer market: Korea,Taiwan

Allows you to quickly modify delivery and return location info without going through any approval process.

Please refer to Body Parameter for attributes that can be modified.

'Temporarily saved' and 'Awaiting approval' products cannot be modified.

Path

PUT/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/partial

Example endpoint

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/30100208559/partial

URL API Name

UPDATE_PARTIAL_PRODUCT
# 03

Path parameters

NameTypeDescription
sellerProductId*string
Registered product ID
Registered product ID displayed once product is created.
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
sellerProductId*integer
Registered product ID
Registered product ID displayed once product is created (data)
companyContactNumberstring
Return location contact number
Check after registering return location via Coupang WING or return location creation API.
deliveryChargeinteger
Standard shipping fee
Enter one-way delivery fee value in the case of paid shipping or conditional free shipping.
deliveryChargeOnReturnnumber
Initial shipping fee on return
Return shipping fee paid by customer for free delivery.
deliveryChargeTypestring
Delivery fee type
Parameter Name Status
FREE free delivery
NOT_FREE paid delivery
CHARGE_RECEIVED fee on arrival
CONDITIONAL_FREE conditional free shipping
● For free delivery:
set up amount for initial shipping fee on return (one-way)[deliveryChargeOnReturn] and return shipping fee (one-way)[returnCharge].

● For paid delivery:
set up amount for standard shipping fee[deliveryCharge] and return shipping fee (one-way)
● For conditional free delivery:
set up amount for standard shipping fee and return shipping fee (one-way)
● For fee on arrival:
Categories applicable for fee on arrival are predefined and shared with seller support center to guide vendors.

※ For [CONDITIONAL_FREE], you may freely set a conditional amount.
Parameter NameStatus
FREE
NOT_FREE
CHARGE_RECEIVED
CONDITIONAL_FREE
deliveryCompanyCodestring
deliveryMethodstring
Delivery method
Parameter Name Status
SEQUENCIAL normal delivery(sequential delivery)
COLD_FRESH fresh frozen
MAKE_ORDER made to order
AGENT_BUY purchase agent
VENDOR_DIRECT installation delivery or delivered directly by vendor
“INSTRUCTURE” and “MAKE_ORDER_DIRECT” has been combined to “VENDOR_DIRECT”.
Parameter NameStatus
SEQUENCIAL
COLD_FRESH
MAKE_ORDER
AGENT_BUY
VENDOR_DIRECT
extraInfoMessagestring
Message with information on made to orders
Message to be displayed when customer selects delivery type "made to order".
freeShipOverAmountnumber
Conditional amount for free delivery

● Ex) if you want to set condition of at least 10,000 won for free delivery, set [deliveryChargeType] to 'CONDITIONAL_FREE' and input 10000 for [freeShipOverAmount].

※ can only input in 100 won units or more
※ input 0 for free delivery
outboundShippingPlaceCodenumber
Shipping location address code
Mandatory when selecting bundled delivery. Check by using shipping location query API.
outboundShippingTimeDaynumber
Outbound shipping days (day)
Enter the expected shipping date (in days) for delivery after the order date (D-Day). (Enter "1" for same-day shipping. Enter "1" for next-day (D+1) shipping.)
sameDayShipping
outboundShippingTimeDay.sameDayShipping
object
Same-day shipping configuration
active
outboundShippingTimeDay.sameDayShipping.active
boolean
Whether same-day shipping is enabled
cutOffTimeHour
outboundShippingTimeDay.sameDayShipping.cutOffTimeHour
integer
Same-day shipping order cutoff is 10:00 to 23:00.
cutOffTimeMinute
outboundShippingTimeDay.sameDayShipping.cutOffTimeMinute
integer
Cutoff time minute. Must be 0 when active=true
cutOffTimeZone
outboundShippingTimeDay.sameDayShipping.cutOffTimeZone
string
System-managed, defaults to "KR" when active=true.
pccNeededboolean
PCC(personal customs clearance code) required or not

Whether PCC is required for overseas purchasing agency.
  • default value: not required (false)
true Customer can buy after entering PCC (PCC is included in PO)
false Customer can buy without entering PCC
Parameter NameStatus
true
false
remoteAreaDeliverablestring
Remote area delivery possible or not
Parameter Name Status
Y remote area delivery possible
N remote area delivery not possible
Parameter NameStatus
Y
N
returnAddressstring
Return location address소
Check on Coupang Wing or by registering return location through return location query API
returnAddressDetailstring
Return location detail address
Check on Coupang Wing or by registering Return location through return location query API
returnCenterCodestring
Return location center code

Extract and input return location center code after creating return location.
● return location can be created through WING or return location creation API.
● if you are unable to create return location, input "NO_RETURN_CENTERCODE" to manually add return location info.

※ Auto return integration service (Goodsflow) is available only if you have a contracted courier. Return location center code is mandatory.
returnChargenumber
Return shipping fee
One-way delivery fee for picking up return.
returnChargeNamestring
Return location name
Check on Coupang Wing or by registering return location through Return location query API.
returnZipCodestring
Return location postal code
Check on Coupang Wing or by registering return location through return location query API.
unionDeliveryTypestring
Bundled delivery possible or not
Parameter Name Status
UNION_DELIVERY bundled delivery possible
NOT_UNION_DELIVERY bundled delivery not possible
※ Condition for bundled delivery:
shipping location info mandatory (only products with same shipping location can be bundled delivered).
Cannot block paid on arrival option.
Parameter NameStatus
UNION_DELIVERY
NOT_UNION_DELIVERY
Request exampleapplication/json
{
  "sellerProductId": 30100208559,
  "deliveryCharge": 3000
}
# 05

Response body

Response message

NameTypeDescription
codestring
result code
SUCCES/ERROR
messagestring
message
dataobject
registered productID
=sellerProductId
code
data.code
string
message
data.message
string
data
data.data
integer

Response Example

{
  "code": "200",
  "message": "",
  "data": {
    "code": "SUCCESS",
    "message": "",
    "data": 30100201234
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400

Recheck seller product ID.

Check if sellerProductId in url path and sellerProductId in request body are identical.

400400

Must input seller product ID.

Check if you've entered sellerProductId in requestBody.

400400

Registered product ID [xxxxxx] does not exist.

Check if you've entered a sellerProductId that does not exist.

400400

Cannot change deleted product.

Check if product was deleted.

400400

Cannot change product that is awaiting approval.

Check if product status is 'awaiting approval'.

400400

Cannot change product that is in process of being created.

Check if product status is 'temporarily being saved'.

500500

Failed to modify product. Please contact Coupang.

Contact Coupang through online inquiry for unexpected system errors.